### Constructor

# GimpUi Frame new

#### Declaration [src]

    GtkWidget*
    gimp_frame_new (
      const gchar* label
    )

#### Description [src]

Creates a `GimpFrame` widget. A `GimpFrame` is a HIG-compliant variant of `GtkFrame`. It doesn’t render a frame at all but otherwise behaves like a frame. The frame’s title is rendered in bold and the frame content is indented four spaces as suggested by the GNOME HIG (see https://developer.gnome.org/hig/stable/).

Available since: | 2.2

#### Parameters

`label` | `const gchar*`
| Text to set as the frame’s title label (or `NULL` for no title)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GimpFrame` widget.
| The data is owned by the called function.